Description

| encountered a problem after | moved the Unified Communications server to a new VPS hosting server using:
ssh old-vps.example.com

rsync —avhz -n /var/lib/lxc/container —-e ssh root@new-vps.example.com:/var/lib/lxc/
Note: Remove the -n flag to enable the actual transfer, not a dry-run.

The first problem was that | had not updated the network information in the containers configuration at /var/lib/Ixc/container/config.
Even though this would normally be the issue, it did not solve the problem.

| received an error while starting prosody:

Error: Error loading included /etc/prosody/conf.d/localhost.cfg.lua: /etc/prosody/conf.d/localhost.cfg.lua: Permission denied

I noticed that the ownership of a few files and folders did not match the correct ones from the previous container:

ls -1 /etc/prosody

drwxr-x--- 2 root ntp 4096 Dec 11 17:03 certs
drwxr-xr-- 2 root ntp 4096 Jan 15 17:05 conf.avalil
drwxr-xr-- 2 root ntp 4096 Jan 15 17:07 conf.d

rw-+—+ 1 rootroot 353 Sep 27 2012 migrator.cfg.lua
av—F— 1 root prosody 8096 Dec 11 17:02 prosody.cfg.lua
A+ 1 root root 292 Jul 30 2009 README

| fixed this by running:

chgrp prosody /etc/prosody/certs/
chgrp prosody /etc/prosody/conf.*

| then noticed that there were no records in /var/lib/prosody, so | went to add a user. Only to get an error:

prosodyctl adduser someuser@example.com

datamanager error Unable to write to accounts storage (‘/var/lib/prosody/example%2ecom/accounts/someuser.dat:
Permission denied') for user: someuser@example.com
Error saving to storage

This happened because /var/lib/prosody had bad ownership as well, to fix this | ran:

chown prosody.prosody /var/lib/prosody

| added the user one more time, and restarted the server for good measure:
prosodyctl adduser someuser@example.com
service prosody restart

This restored the functionality of the XMPP service.

History

#1 - 02/07/2014 12:05 PM - Daniel Curtis

- Status changed from Resolved to Closed

#2 - 02/16/2015 02:09 PM - Daniel Curtis
- Project changed from 42 to GNU/Linux Administration
- Category set to XMPP Server
